clang 8.0.0

Namespaces | Functions
SemaLambda.h File Reference

This file provides some common utility functions for processing Lambdas. More...

`#include "clang/AST/ASTLambda.h"`
Include dependency graph for SemaLambda.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::sema

## Functions
Optional< unsigned > | clang::getStackIndexOfNearestEnclosingCaptureCapableLambda (ArrayRef< const sema::FunctionScopeInfo *> FunctionScopes, VarDecl *VarToCapture, Sema &S)
| Examines the FunctionScopeInfo stack to determine the nearest enclosing lambda (to the current lambda) that is 'capture-capable' for the variable referenced in the current lambda (i.e. More...

## Detailed Description

This file provides some common utility functions for processing Lambdas.

Definition in file SemaLambda.h.